| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::PluginCommon::SoftShader::ScanlineCompDivZ Struct Reference

Buffer values div Z. More...

`#include <csplugincommon/softshader/types.h>`

List of all members.

## Public Attributes
float | dIcdx
| 1/component delta
float | dIcdxLast
| 1/component delta, last span
float | Ic
| 1/component

## Detailed Description

Buffer values div Z.

Definition at line 149 of file types.h.

## Member Data Documentation

float CS::PluginCommon::SoftShader::ScanlineCompDivZ::dIcdx

1/component delta

Definition at line 154 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Advance(), and CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup().

float CS::PluginCommon::SoftShader::ScanlineCompDivZ::dIcdxLast

1/component delta, last span

Definition at line 156 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup().

float CS::PluginCommon::SoftShader::ScanlineCompDivZ::Ic

1/component

Definition at line 152 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Advance(), and CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup().

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h